For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
contact@agentmail.ccDiscord
DocumentationAPI ReferenceKnowledge BaseChangelog
DocumentationAPI ReferenceKnowledge BaseChangelog
  • API Reference
      • GETList Webhooks
      • GETGet Webhook
      • POSTCreate Webhook
      • PATCHUpdate Webhook
      • DELDelete Webhook
LogoLogo
contact@agentmail.ccDiscord
API ReferenceWebhooks

Delete Webhook

DELETE
/v0/webhooks/:webhook_id
DELETE
/v0/webhooks/:webhook_id
1from agentmail import AgentMail
2
3client = AgentMail(
4 api_key="YOUR_TOKEN_HERE",
5)
6
7client.webhooks.delete(
8 webhook_id="webhook_id",
9)
**CLI:** ```bash agentmail webhooks delete --webhook-id <webhook_id> ```
Was this page helpful?
Previous

Message Received

Next
Built with

CLI:

$agentmail webhooks delete --webhook-id <webhook_id>

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

webhook_idstringRequired
ID of webhook.

Errors

404
Not Found Error